#
# spec file for package python-yapf
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-yapf
Version:        0.19.0
Release:        lp151.3.2
Summary:        A formatter for Python code
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/google/yapf
Source:         https://files.pythonhosted.org/packages/source/y/yapf/yapf-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module nose}
BuildRequires:  python-futures
%endif
BuildArch:      noarch
%ifpython2
Recommends:     python-futures
%endif
Requires(post):   update-alternatives
Requires(postun):  update-alternatives

%python_subpackages

%description
YAPF is based off clang-format and reformats it to the closest
formatting that conforms to the style guide, even if the original
code did not violate the style guide.

This is in contrast to other formatters like autopep8 and pep8ify
which are made to only remove lint errors from code, which has some
limitations, like, code that conforms to the PEP 8 guidelines may not
be reformatted.

%prep
%setup -q -n yapf-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%python_clone -a %{buildroot}%{_bindir}/yapf

%if %{with test}
%check
%python_expand nosetests-%{$python_bin_suffix}
%endif

%post
%python_install_alternative yapf

%postun
%python_uninstall_alternative yapf

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%python_alternative %{_bindir}/yapf
%{python_sitelib}/*

%changelog
* Sun Mar  4 2018 jengelh@inai.de
- Trim description and focus on the package, not the process.
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
